AnnotatedBeanDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.annotation

## Interface AnnotatedBeanDefinition

- All Superinterfaces:
    AttributeAccessor, BeanDefinition, BeanMetadataElement
  All Known Implementing Classes:
    AnnotatedGenericBeanDefinition, ScannedGenericBeanDefinition

      public interface AnnotatedBeanDefinition
      extends BeanDefinition

  Extended `BeanDefinition` interface that exposes `AnnotationMetadata` about its bean class - without requiring the class to be loaded yet.
  Since:
    2.5
  Author:
    Juergen Hoeller
  See Also:
    `AnnotatedGenericBeanDefinition`, `AnnotationMetadata`

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.config.BeanDefinition

      `ROLE_APPLICATION, ROLE_INFRASTRUCTURE, ROLE_SUPPORT, SCOPE_PROTOTYPE, SCOPE_SINGLETON`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationMetadata` | `getMetadata()` Obtain the annotation metadata (as well as basic class metadata) for this bean definition's bean class.

    - ### Methods inherited from interface org.springframework.beans.factory.config.BeanDefinition

      `getBeanClassName, getConstructorArgumentValues, getDependsOn, getDescription, getFactoryBeanName, getFactoryMethodName, getOriginatingBeanDefinition, getParentName, getPropertyValues, getResourceDescription, getRole, getScope, isAbstract, isAutowireCandidate, isLazyInit, isPrimary, isPrototype, isSingleton, setAutowireCandidate, setBeanClassName, setDependsOn, setFactoryBeanName, setFactoryMethodName, setLazyInit, setParentName, setPrimary, setScope`

    - ### Methods inherited from interface org.springframework.core.AttributeAccessor

      `attributeNames, getAttribute, hasAttribute, removeAttribute, setAttribute`

    - ### Methods inherited from interface org.springframework.beans.BeanMetadataElement

      `getSource`

- - ### Method Detail

    - #### getMetadata

          AnnotationMetadata getMetadata()

      Obtain the annotation metadata (as well as basic class metadata) for this bean definition's bean class.
      Returns:
        the annotation metadata object (never `null`)